Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.feature
Class Validator

    java.lang.Object
      org.deegree.model.feature.Validator

    public class Validator

extends Object

Validator for feature instance (that have been constructed without schema information).

Validated features are assigned their respective feature types after successful validation.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $

Constructor Summary
`Validator(Map<QualifiedName,FeatureType> ftMap)` Constructs a new instance of `Validator` that will use the given map to lookup feature types by their names.

Method Summary
`void` | `validate(Feature feature)` Validates the given feature instance (and its subfeatures).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Validator

    public Validator(Map<QualifiedName,FeatureType> ftMap)

  Constructs a new instance of `Validator` that will use the given map to lookup feature types by their names.

  Parameters:
    `ftMap` -

Method Detail

### validate

    public void validate(Feature feature)
                  throws OGCWebServiceException

  Validates the given feature instance (and its subfeatures).

  The feature instance is then assigned the corresponding `MappedFeatureType`. This also applies to its subfeatures.

  Parameters:
    `feature` - feature instance to be validated
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org